From 2126450a3fedec85a09ec44325c0f8b873956f8f Mon Sep 17 00:00:00 2001
From: Michael Paquier <michael@otacoo.com>
Date: Sun, 22 Jun 2014 18:44:00 -0700
Subject: [PATCH] Fix compilation error with nmake introduced by 58ca764

execute.c(1323) : error C2232: '->drivers' :
left operand has 'struct' type, use '.'
---
 execute.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/execute.c b/execute.c
index f55914f..9afcdf7 100644
--- a/execute.c
+++ b/execute.c
@@ -1320,7 +1320,7 @@ PGAPI_Cancel(HSTMT hstmt)		/* Statement to cancel. */
 			 * the application.
 			 */
 #ifdef WIN32
-			if (conn->connInfo->drivers.cancel_as_freestmt)
+			if (conn->connInfo.drivers.cancel_as_freestmt)
 			{
 	typedef SQLRETURN (SQL_API *SQLAPIPROC)();
 				HMODULE		hmodule;
-- 
1.9.2.msysgit.0

